=== modified file 'Makefile'
--- Makefile	2016-09-28 18:55:26 +0000
+++ Makefile	2017-02-14 15:58:25 +0000
@@ -3,7 +3,7 @@
 	TMPDIR=/tmp python -m unittest discover -vv ./tests -p "$(p)"
 lint:
 	flake8 --max-line-length=80 $$(find . -name '*.py') \
-	  --builtins=raw_input
+	  --builtins=raw_input --ignore=E123,E402
 cover:
 	python -m coverage run --source="./" --omit "./tests/*" -m unittest discover -vv ./tests
 	python -m coverage report

=== modified file 'agent_archive.py'
--- agent_archive.py	2017-01-27 17:12:43 +0000
+++ agent_archive.py	2017-02-14 15:58:25 +0000
@@ -30,7 +30,7 @@
     'juju-{}-ubuntu-arm64.tgz',
     'juju-{}-ubuntu-ppc64el.tgz',
     'juju-{}-ubuntu-s390x.tgz',
-    )
+)
 
 
 AGENT_PATTERN = re.compile(
@@ -107,10 +107,12 @@
         md5.update(local_file.read())
     local_hash = str(md5.hexdigest())
     if verbose:
-        print('Checking that %s and hash %s does not already exist.' % (source_agent, local_hash))
+        print('Checking that %s and hash %s does not already exist.' %
+              (source_agent, local_hash))
     if not existing_version:
         if verbose:
-            print('No existing version found compared to %s and hash %s' % (source_path, local_hash))
+            print('No existing version found compared to %s and hash %s' %
+                  (source_path, local_hash))
         return True
     remote_hash = existing_version.strip().split()[3]
     if remote_hash != local_hash:
@@ -175,7 +177,8 @@
     version = args.version
     agent_glob = '%s/juju-%s*' % (args.s3_container, version)
     existing_versions = run(
-        ['ls','--list-md5', agent_glob], config=args.config, verbose=args.verbose)
+        ['ls', '--list-md5', agent_glob],
+        config=args.config, verbose=args.verbose)
     if args.verbose:
         print('Checking for matching agents.')
     if version not in existing_versions:

=== modified file 'build_package.py'
--- build_package.py	2016-11-02 17:06:30 +0000
+++ build_package.py	2017-02-14 15:58:25 +0000
@@ -345,8 +345,8 @@
                 epoch=epoch, version=version, release=release, upatch=upatch,
                 date=date, build=build, revid=revid)
         return DAILY_VERSION_TEMPLATE.format(
-                version=version, release=release, upatch=upatch,
-                date=date, build=build, revid=revid)
+            version=version, release=release, upatch=upatch,
+            date=date, build=build, revid=revid)
 
     else:
         if epoch:

=== modified file 'make_image_streams.py'
--- make_image_streams.py	2016-12-10 18:30:39 +0000
+++ make_image_streams.py	2017-02-14 15:58:25 +0000
@@ -5,24 +5,24 @@
 from copy import deepcopy
 from datetime import datetime
 import logging
-# Done early to prevent Simplestreams from messing with the log configuration.
-logging.basicConfig(level=logging.INFO)
 import os
 import sys
 from textwrap import dedent
 import yaml
 
 from boto import ec2
+# Done early to prevent Simplestreams from messing with the log configuration.
+logging.basicConfig(level=logging.INFO)
 from simplestreams.generate_simplestreams import (
     FileNamer,
     generate_index,
     items2content_trees,
     json_dump,
-    )
+)
 from simplestreams.json2streams import (
     Item,
     JujuFileNamer,
-    )
+)
 from simplestreams import util
 
 log = logging.getLogger(
@@ -76,7 +76,7 @@
         return {
             'aws_access_key_id': creds['access-key'],
             'aws_secret_access_key': creds['secret-key'],
-            }
+        }
     else:
         raise LookupError('No credentials found!')
 
@@ -116,7 +116,7 @@
             'owner_alias': 'aws-marketplace',
             'product_code': 'aw0evgkw8e5c1q413zgy5pjce',
             # 'name': 'CentOS Linux 7*',
-            })
+        })
         for image in images:
             yield image
 

